package com.telpo.dipperposition.mapper;

import com.telpo.dipperposition.annotation.MongoSwitch;
import com.telpo.dipperposition.entity.mongo.IpProvinceEntity;
import db.BaseMongoDbDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @program: DataPushServer
 * @description: 推送记录mapper
 * @author: linwl
 * @create: 2020-07-20 11:12
 */
@Repository
public class IpProvinceMapper extends BaseMongoDbDao<IpProvinceEntity> {

//  private static IpProvinceMapper ipProvinceMapper;
  /**
   * spring会自动从ioc容器当中根据IPProvinceMapper类型找到iPProvinceMapper，
   * 当做参数传进来
   *
   */
//  @Autowired
//  public void setIPProvinceMapper(IpProvinceMapper ipProvinceMapper) {
//    this.ipProvinceMapper = ipProvinceMapper;
//  }

  @Override
  protected Class<IpProvinceEntity> getEntityClass() {
    return IpProvinceEntity.class;
  }

  @MongoSwitch("common")
  public void saveIp(IpProvinceEntity entity) {
    this.save(entity);
  }

  @MongoSwitch("common")
  public void saveIp(IpProvinceEntity entity, String collectionName) {
    this.save(entity, collectionName);
  }

  @MongoSwitch("common")
  public void updateIpFirst(IpProvinceEntity srcObj, IpProvinceEntity targetObj) {
    this.updateFirst(srcObj, targetObj);
  }

  @Override
  public List<IpProvinceEntity> getPage(IpProvinceEntity object, int start, int size) {
    return super.getPage(object, start, size);
  }

  @MongoSwitch("common")
  public List<IpProvinceEntity> queryIpList(IpProvinceEntity object) {
    return this.queryList(object);
  }

  @MongoSwitch("common")
  public List<IpProvinceEntity> queryIpList(IpProvinceEntity object, String collectionName) {
    return this.queryList(object, collectionName);
  }

  @MongoSwitch("common")
  public void deleteIpById(String id) {
    this.deleteById(id);
  }
}
